extends Line2D
class_name RayCastDebugLines

# Declare member variables here. Examples:
# var a: int = 2
# var b: String = "text"
var Lines = []

func add_line(origin, destination, color):
	Lines.append([origin, destination, color])

func clear_lines():
	Lines = []

func _draw():
	for i in range(len(Lines)):
		draw_line(Lines[i][0],Lines[i][1],Lines[i][2])

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.

# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta: float) -> void:
#	pass
